{% macro class_selected(a, b) %}
    {% if a == b%}class="selected"{% endif %}
{% endmacro %}

<article class="graphic cube{% if details%} detailed{% endif %}{% if reversed %} reversed{% endif %}">
    <div>
        <ul class="values">
            <li {{ class_selected(labels[0][0][0], result) }}>{{ _(labels[0][0][0]) }}</li>
            <li {{ class_selected(labels[0][0][1], result) }}>{{ _(labels[0][0][1]) }}</li>
            <li {{ class_selected(labels[0][1][0], result) }}>{{ _(labels[0][1][0]) }}</li>
            <li {{ class_selected(labels[0][1][1], result) }}>{{ _(labels[0][1][1]) }}</li>
            <li {{ class_selected(labels[1][0][0], result) }}>{{ _(labels[1][0][0]) }}</li>
            <li {{ class_selected(labels[1][0][1], result) }}>{{ _(labels[1][0][1]) }}</li>
            <li {{ class_selected(labels[1][1][0], result) }}>{{ _(labels[1][1][0]) }}</li>
            <li {{ class_selected(labels[1][1][1], result) }}>{{ _(labels[1][1][1]) }}</li>
        </ul>

        <ul class="axes">
            <li>{{ _("results.3d.%s.label.x_axes" % type) }}</li>
            <li>{{ _("results.3d.%s.label.y_axes" % type) }}</li>
            <li>{{ _("results.3d.%s.label.z_axes" % type) }}</li>
        </ul>
    </div>
    {% if details %}
    <aside>
        <dl>
            <dt>{{ _("results.3d.%s.body_title" % result) }}</dt>
            <dd>{{ _("results.3d.%s.body" % result)|markdown }}</dd>
        </dl>
    </aside>
    <div class="clear"></div>
    {% endif %}
</article>
